=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.


	touch configure-stamp

build-arch:
# We have nothing to do by default.

build-indep build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) keychain keychain.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: install-indep install-arch

install-arch: build-arch
# We have nothing to do by default.

install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/keychain.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/keychain
	install -m0755 keychain $(CURDIR)/debian/keychain/usr/bin


# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs keychain.pod
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman keychain.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build-arch install-arch
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean build-arch build-indep binary-indep binary-arch binary install configure
