## keychain 2.8.2

=== debian/changelog ===
keychain (2.8.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.  (Closes: #847445)
    - Fixes bashisms causing syntax errors.  (Closes: #815510)
    - Cleanly separates the --help output for --stop and
      --systemd.  (Closes: #800555)
  * Convert to 3.0 (quilt) source format to avoid making this
    a native package again.  (see #800555)
  * Convert d/rules to dh7-style given that upstream removed
    its build system.

 -- Niels Thykier <niels@thykier.net>  Sat, 31 Dec 2016 22:35:22 +0000
