=== debian/changelog ===
keychain (2.8.5-5) unstable; urgency=medium

  * Undo refreshing the line numbers in the empty-ssh-askpass patch;
    that was done in a slightly messed up source tree.
  * Declare compliance with Policy 4.7.0 with no changes.
  * Use dh compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 11:50:40 +0200

keychain (2.8.5-4) unstable; urgency=medium

  * Refresh the line numbers in the empty-ssh-askpass patch.
  * Add the year 2024 to my debian/* copyright notice.
  * Suggest gpg-agent, not the transitional gnupg-agent. Closes: #1064118
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.

 -- Peter Pentchev <roam@debian.org>  Wed, 28 Feb 2024 02:12:52 +0200

keychain (2.8.5-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 2.7.1-1, 2.6.8-1, 2.6.6-1, 2.5.5-4,
    2.0.2-2, 2.0.1-2, 1.8-1, 1.7-1, 1.4-1.
  * Update standards version to 4.6.1, no changes needed.

  [ Peter Pentchev ]
  * Explicitly specify dh-sequence-single-binary.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the years through 2023 to my debian/* copyright notice.
  * Remove the need for container isolation in the autopkgtest.
  * Look for an ssh-askpass program if SSH_ASKPASS is empty or unset.
    Closes: #325644

 -- Peter Pentchev <roam@debian.org>  Fri, 06 Jan 2023 22:30:52 +0200

keychain (2.8.5-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Add another correction to the typos patch.
  * Drop the Name and Contact upstream metadata fields.
  * Bump the debhelper compat level to 13 with no changes.

 -- Peter Pentchev <roam@debian.org>  Thu, 07 May 2020 02:18:30 +0300

keychain (2.8.5-1) unstable; urgency=medium

  * New maintainer.  Closes: #867749
  * Convert the copyright file to the machine-readable format.
  * Bring up to compliance with Debian Policy 4.3.0:
    - add the Vcs-Git and Vcs-Browser fields
    - change the priority to "optional" from "extra"
    - add "Rules-Requires-Root: no" to the source control stanza
    - install the upstream ChangeLog file as NEWS
  * Bump the debhelper compat level to 12 with no changes and
    switch to the debhelper-compat (= 12) mechanism.
  * Add a watch file pointing at GitHub.
  * Add an autopkgtest for the ssh-agent functionality.
  * Add an upstream metadata file.
  * Add "Multi-Arch: foreign" to the binary package.
  * Switch two upstream URLs to the HTTPS scheme.
  * Add the malformed-ssh-key patch to display a warning. Closes: #673019
  * Remove whitespace at the end of the line in the changelog and
    control files.
  * Add a simple git-buildpackage config file.
  * New upstream version:
    - fix adding GnuPG keys; Closes: #867972
    - install the plaintext rendition of the documentation
    - add the typos patch to correct some typographical and
      grammatical errors

 -- Peter Pentchev <roam@debian.org>  Wed, 20 Feb 2019 18:27:58 +0200
