=== debian/tests/control ===
Tests:
 ssh.sh,
Depends:
 @,
Restrictions:
 allow-stderr,
