=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/@PACKAGE@-$1\.tar\.gz/ \
       https://github.com/funtoo/keychain/tags .*/v?(\d\S+)\.tar\.gz
